Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154726 - pump does not set MTU when setting up a device
Summary: pump does not set MTU when setting up a device
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: pump
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-13 20:07 UTC by Sean Dilda
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-24 18:03:41 UTC


Attachments (Terms of Use)
Patch to cause pump to set the mtu (deleted)
2005-04-13 20:07 UTC, Sean Dilda
no flags Details | Diff
Updated patch (deleted)
2005-04-14 19:13 UTC, Sean Dilda
no flags Details | Diff

Description Sean Dilda 2005-04-13 20:07:44 UTC
If the flags are set for pump to change the MTU on a device, it ignores those flags.

The following patch will cause the MTU to be set when pumpSetupInterface is called.

This is required for an MTU= setting in /tmp/netinfo to take effect during an
install.

Comment 1 Sean Dilda 2005-04-13 20:07:45 UTC
Created attachment 113114 [details]
Patch to cause pump to set the mtu

Comment 2 Sean Dilda 2005-04-14 19:13:53 UTC
Created attachment 113179 [details]
Updated patch

This patch also allows pump to grab the MTU from the dhcp server (but only if
the dhcp server is configured to send this information).  It also includes the
previous patch that allows pump to set the MTU.

In theory these combined changes will allow anaconda to get the MTU from the
dhcp server at install time without the admin having to specify it in any other
way.

Comment 3 Jeremy Katz 2005-04-20 16:04:58 UTC
Committed to HEAD for pump 0.8.22.  Should also make its way into RHEL3 U6 and
RHEL4 U2 based on a related feature request.

Comment 4 Jeremy Katz 2006-04-24 18:03:41 UTC
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.


Note You need to log in before you can comment on or make changes to this bug.